﻿using System;

using Android.App;
using Android.Content;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Android.Util;

namespace PokktSample
{
	[Activity (Label = "PokktSample", MainLauncher = true, Icon = "@drawable/icon")]
	public class MainActivity : Activity
	{
		//int count = 1;
		string TAG = "PokktXamarinSample";

		protected override void OnCreate (Bundle bundle)
		{
			RequestWindowFeature (WindowFeatures.NoTitle);
			base.OnCreate (bundle);

			SetContentView (Resource.Layout.main_screen_layout);

			String versionName = "v";
			try {
				
				versionName += PackageManager.GetPackageInfo(PackageName , 0).VersionCode;
			} catch (Exception e) {
				Log.Debug (TAG, e.Message);
			}

			((TextView) FindViewById(Resource.Id.tvVersion)).Text = versionName;

			Button btnOfferwall = FindViewById<Button> (Resource.Id.button_offerwall);
			btnOfferwall.Click += delegate 
			{
				StartActivity(new Intent(this, typeof(OfferwallActivity)));
			};

			Button btnVideo = FindViewById<Button> (Resource.Id.button_video);
			btnVideo.Click += delegate 
			{
				Intent intent = new Intent(this, typeof(VideoActivity));
				intent.PutExtra("auto_caching",true);
				StartActivity(intent);
			};

			Button btnVideoNoAuto = FindViewById<Button> (Resource.Id.button_video_noauto);
			btnVideoNoAuto.Click += delegate 
			{
				Intent intent = new Intent(this, typeof(VideoActivity));
				intent.PutExtra("auto_caching",false);
				StartActivity(intent);
			};
		}

	}
}


